orders
Searches Order Fulfilments by parameters
Searches Order Fulfilments by parameters
Query Parameters
Created since
Filter by.
Available field name values: id, order_item_id, fulfil_outlet, created_on, serial_number.
In string values: ‘|’ and ‘,’ characters have to be escaped with slash, i.e. ‘\,’ ‘\|’
For operators that support multiple values (in, notin): multiple values are delimited using ‘|’ character
Available operators:
eq - Equal
neq - Not equals
lt - Less
lte - Less or equal
gt - Greater
gte - Greater or equal
in - In
notin - Not In
contains - Contains
isnull - Is Null
isnullorempty - Is Null Or Empty
isnotnull - Is Not Null
startswith - Starts with
endswith - Ends with
doesnotcontain - Does not contain
For non-nullable fields operators isnull and isnotnull are unavailable
For dates operators: contains, startswith, endswith, doesnotcontain, isnullorempty are unavailable
For strings operators: lt, lte, gt, gte are unavailable
Example: created_on:gte:2021-06-03T05:48:09+10:00,id:in:2|3
Order by.
Available field name values: id, order_item_id, fulfil_outlet, created_on.
Available direction values: asc, desc.
Example: id asc, fulfil_outlet desc
>= 1<= 100000
>= 1<= 2147483647
Path Parameters
Order id
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Response
application/json
Response
Returns Order Fulfilments
Fulfilment.PagingResponse
Fulfilment model
Show Child Parameters
Path Parameters
Query Parameters
Headers
Gets specific Order Fulfilment
Gets specific Order Fulfilment
Path Parameters
Order id
Fulfilment id
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Response
application/json
Response
Returns found Order Fulfilment
Fulfilment
Fulfilment model
Fulfilment id
Order Item Id
Fulfiled quantity of products
Show Child Parameters
Created On
Serial Number
Path Parameters
Headers
Searches Order Items by parameters
Searches Order Items by parameters
Query Parameters
Created since
Modified since
Filter by.
Available field name values: id, order_item_type, return_reason_id, return_reason_name, original_order_item_id, notes, fulfil_outlet, source_outlet, created_on, modified_on, serial_number.
In string values: ‘|’ and ‘,’ characters have to be escaped with slash, i.e. ‘\,’ ‘\|’
For operators that support multiple values (in, notin): multiple values are delimited using ‘|’ character
Available operators:
eq - Equal
neq - Not equals
lt - Less
lte - Less or equal
gt - Greater
gte - Greater or equal
in - In
notin - Not In
contains - Contains
isnull - Is Null
isnullorempty - Is Null Or Empty
isnotnull - Is Not Null
startswith - Starts with
endswith - Ends with
doesnotcontain - Does not contain
For non-nullable fields operators isnull and isnotnull are unavailable
For dates operators: contains, startswith, endswith, doesnotcontain, isnullorempty are unavailable
For strings operators: lt, lte, gt, gte are unavailable
Example: created_on:gte:2021-06-03T05:48:09+10:00,id:in:2|3
Order by.
Available field name values: id, order_item_type, return_reason_name, notes, fulfil_outlet, source_outlet, created_on, modified_on.
Available direction values: asc, desc.
Example: id asc, order_item_type desc
>= 1<= 100000
>= 1<= 2147483647
Path Parameters
Order id
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Response
application/json
Response
Returns Order Items
OrderItem.PagingResponse
Order Item Model
Show Child Parameters
Path Parameters
Query Parameters
Headers
Gets specific Order Item
Gets specific Order Item
Path Parameters
Order id
Order Item id
Headers
Api subscription key
Default:no-cache
Bearer token for authorization (e.g., Bearer )
Response
application/json
Response
Returns found Order Item
OrderItem
Order Item Model
Order item id.
External unique id
Order item type
Show Child Parameters
Original price
Sell price
Order item total
Order item discount total
Is taxable
Tax rate
Supplier Buy Ex
Direct Costs Ex
COGS Ex
Fulfilment Method
Due date
Show Child Parameters
Show Child Parameters
Show Child Parameters
Quantity Ordered
Quantity Fulfiled
Notes
Original Order Item Id
Return Reason Limited Model
Show Child Parameters
Show Child Parameters
Show Child Parameters
Campaign Model
Show Child Parameters
Created on
Modified on
Purchase order model
Show Child Parameters
Serial Number